local RayUI, E, L, V, P, G = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames

local function UnitFramesTable()
    E.Options.args.rayui.args.modules.args.unitframes = {
        type = "group",
        name = E.NewSign..L["UnitFrames"],
        childGroups = "tab",
		get = function(info) return E.db.rayui.unitframes[ info[#info] ] end,
		set = function(info, value) E.db.rayui.unitframes[ info[#info] ] = value; E:StaticPopup_Show("CONFIG_RL"); end,
        args = {
            name = {
                order = 1,
                type = 'header',
                name = L["UnitFrames"],
            },
            quickres = {
                order = 2,
                type = "toggle",
                name = L["Quick Resurrect"],
                desc = L["Enable quick resurrect, you can middle click on raid frame to cast resurrection on mouseover target"],
                set = function(info, value)
                    E.db.rayui.unitframes.quickres = value
                    UF:CreateAndUpdateHeaderGroup("raid")
                    UF:CreateAndUpdateHeaderGroup("raid40")
                end,
            },
        }
    }
end

tinsert(RayUI.Config, UnitFramesTable)
